# ConfigurationVariant

interface ConfigurationVariant : Named, HasConfigurableAttributes<SELF>

Represents some variant of an outgoing configuration.

#### Since

3.3

## Functions

artifact
Link copied to clipboard
abstract fun artifact(notation: Any)
Adds an artifact to this variant.
abstract fun artifact(notation: Any, configureAction: Action<in ConfigurablePublishArtifact>)
Adds an artifact to this variant, configuring it using the given action.
attributes
Link copied to clipboard
abstract fun attributes(action: Action<in AttributeContainer>): SELF
getArtifacts
Link copied to clipboard
abstract fun getArtifacts(): PublishArtifactSet
Returns the artifacts associated with this variant.
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
getDescription
Link copied to clipboard
@Incubating
abstract fun getDescription(): Property<String>
Returns an optional note describing this variant.
getName
Link copied to clipboard
abstract fun getName(): String